Bug 36719 - Remove deprecated updater tools
Remove deprecated updater tools
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - univention-updater
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-1-errata
Assigned To: Philipp Hahn
Jürn Brodersen
:
: 29199 32708 (view as bug list)
Depends on:
Blocks: 36508
  Show dependency treegraph
 
Reported: 2014-11-14 17:42 CET by Philipp Hahn
Modified: 2018-08-22 14:26 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-11-14 17:42:57 CET
python/univention-errata-components-update
python/univention-errata-update
python/univention-repository-migrate
...
Comment 1 Florian Best univentionstaff 2016-01-04 18:37:06 CET
*** Bug 29199 has been marked as a duplicate of this bug. ***
Comment 2 Florian Best univentionstaff 2016-01-05 11:47:06 CET
Also those tools:
# univention-security-update
univention-security-update has been removed. Please use univention-upgrade.
# univention-updater 
univention-updater has been removed. Please use univention-upgrade.
# univention-actualise 
univention-actualise has been removed. Please use univention-upgrade.
Comment 3 Florian Best univentionstaff 2016-01-15 10:51:55 CET
*** Bug 32708 has been marked as a duplicate of this bug. ***
Comment 4 Florian Best univentionstaff 2016-01-15 10:52:14 CET
(In reply to Florian Best from comment #3)
> *** Bug 32708 has been marked as a duplicate of this bug. ***
Also: python/univention-repository-migrate:from
Comment 5 Philipp Hahn univentionstaff 2018-04-04 15:09:21 CEST
Also:
python/univention-repository-addpackage
python/univention-repository-delpackage
python/univention-repository-delpackage

Plus all the code in for handling "hotfixes", "secX"-Updates, "erratax"-Updates still in modules/univention/updater/tools.py

The code calling "apt-ftparchive" in "modules/univention/updater/repository.py" also no longer works due to the missing "override" informartion (Bug #46600)
Comment 6 Stefan Gohmann univentionstaff 2018-06-12 08:27:56 CEST
(In reply to Florian Best from comment #2)
> Also those tools:
> # univention-security-update
> univention-security-update has been removed. Please use univention-upgrade.
> # univention-updater 
> univention-updater has been removed. Please use univention-upgrade.
> # univention-actualise 
> univention-actualise has been removed. Please use univention-upgrade.

These tools are still used in the auto upgrade policies.
Comment 7 Philipp Hahn univentionstaff 2018-06-28 13:49:47 CEST
(In reply to Stefan Gohmann from comment #6)
> (In reply to Florian Best from comment #2)
> > Also those tools:
> > # univention-security-update
> > univention-security-update has been removed. Please use univention-upgrade.
> > # univention-updater 
> > univention-updater has been removed. Please use univention-upgrade.
> > # univention-actualise 
> > univention-actualise has been removed. Please use univention-upgrade.
> 
> These tools are still used in the auto upgrade policies.

`univention-security-update` is completely unused and not referenced/documented anywhere - so it can be removed now.

At least the backward compatibility link in /usr/sbin/ can be removed.
Also `script/apt-secure`.

[4.3-1] 0fec060988 Bug #36719 up: Remove deprecated code
 .../conffiles/etc/apt/mirror.list                  |   4 -
 base/univention-updater/debian/changelog           |   6 +
 .../debian/univention-updater.install              |   5 -
 .../debian/univention-updater.links                |   3 -
 ...on-updater.univention-config-registry-variables |   7 -
 .../modules/univention/updater/mirror.py           |   6 +-
 .../modules/univention/updater/repository.py       |  33 +-
 .../modules/univention/updater/tools.py            | 343 +--------------------
 .../python/univention-errata-components-update     | 173 -----------
 .../python/univention-errata-update                | 152 ---------
 .../python/univention-repository-addpackage        |  24 +-
 .../python/univention-repository-create            |   3 -
 .../python/univention-repository-delpackage        |   7 +-
 .../python/univention-repository-merge             |  10 +-
 .../python/univention-repository-migrate           | 220 -------------
 .../python/univention-repository-update            |  19 +-
 base/univention-updater/python/univention-updater  |  11 -
 base/univention-updater/script/apt-secure          | 122 --------
 base/univention-updater/script/univention-removed  |  41 ---
 base/univention-updater/tests/mockups.py           |   2 -
 base/univention-updater/tests/test_updater.py      | 190 +-----------
 doc/errata/staging/univention-updater.yaml         |   8 +-
 test/ucs-test/tests/09_updater/26hotfixes          |  49 ---
 test/ucs-test/tests/09_updater/26hotfixes2         |  63 ----
 test/ucs-test/tests/09_updater/80mirror-hotfixes   |  54 ----
 25 files changed, 46 insertions(+), 1509 deletions(-)

Package: univention-updater
Version: 13.0.1-51A~4.3.0.201806281326
Branch: ucs_4.3-0
Scope: errata4.3-1

[4.3-1] 5e5c20302a Bug #36719 up: Remove deprecated code YAML
 doc/errata/staging/univention-updater.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Jürn Brodersen univentionstaff 2018-07-03 10:26:20 CEST
Some small things:
modules/univention/updater/repository.py
  double open line 204/205
  excpet AtrtributeError as well (in case ucr.get returns None) 291/292
  
python/univention-repository-addpackage
  better use EnvironmentError instead of shutil.Error? 131

python/univention-repository-merge
  better use EnvironmentError instead of shutil.Error? 168

09_updater/pool.sh (ucs-test)
  still has code for hotfixes repos

README.devel still mentions very old versions.
Comment 9 Philipp Hahn univentionstaff 2018-07-03 11:46:08 CEST
(In reply to Jürn Brodersen from comment #8)
> Some small things:
> modules/univention/updater/repository.py
>   double open line 204/205
>   excpet AtrtributeError as well (in case ucr.get returns None) 291/292
Fixed

> python/univention-repository-addpackage
>   better use EnvironmentError instead of shutil.Error? 131
> python/univention-repository-merge
>   better use EnvironmentError instead of shutil.Error? 168

Yes, fixed.

> 09_updater/pool.sh (ucs-test)
>   still has code for hotfixes repos
Removed.

> README.devel still mentions very old versions.
Partly on purpose to document the old sins. I've updates the document to also include the new structure.


[4.3-1] e0b11b057c Bug #36719: Remove deprecated updater code
 base/univention-updater/README.devel               | 57 +++++++++++++++++++---
 base/univention-updater/debian/changelog           |  6 +++
 .../modules/univention/updater/repository.py       |  1 -
 .../python/univention-repository-addpackage        |  2 +-
 .../python/univention-repository-merge             |  2 +-
 test/ucs-test/debian/changelog                     |  6 +++
 test/ucs-test/tests/09_updater/pool.sh             |  3 --
 7 files changed, 64 insertions(+), 13 deletions(-)

Package: ucs-test
Version: 8.0.28-145A~4.3.0.201807031138
Branch: ucs_4.3-0
Scope: errata4.3-1

Package: univention-updater
Version: 13.0.1-52A~4.3.0.201807031142
Branch: ucs_4.3-0
Scope: errata4.3-1

[4.3-1] 59a31b7445 Bug #36719: Remove deprecated updater code YAML
 doc/errata/staging/univention-updater.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 10 Philipp Hahn univentionstaff 2018-07-03 12:03:34 CEST
(In reply to Philipp Hahn from comment #9)
> (In reply to Jürn Brodersen from comment #8)
> > Some small things:
> > modules/univention/updater/repository.py
> >   excpet AtrtributeError as well (in case ucr.get returns None) 291/292

Fixed for real

[4.3-1] be5f6e7115 Bug #36719 up: Remove deprecated code
 base/univention-updater/debian/changelog                         | 6 ++++++
 base/univention-updater/modules/univention/updater/repository.py | 8 ++++++--
 2 files changed, 12 insertions(+), 2 deletions(-)

Package: univention-updater
Version: 13.0.1-53A~4.3.0.201807031200
Branch: ucs_4.3-0
Scope: errata4.3-1

[4.3-1] b54da08b1f Bug #36719: Remove deprecated updater code YAML
 doc/errata/staging/univention-updater.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 11 Jürn Brodersen univentionstaff 2018-07-03 14:27:13 CEST
What I tested:
Grep for deprecated tools and functions in ucs and ucsschool -> OK

No new errata component:
'''
Starting univention-upgrade. Current UCS version is 4.3-1 errata112
'''
-> OK

New errata component:
'''
Starting univention-upgrade. Current UCS version is 4.3-0 errata89
'''
-> OK

YAML -> OK

-> Verified
Comment 12 Quality Assurance univentionstaff 2018-07-04 16:05:08 CEST
--- mirror/ftp/4.3/unmaintained/4.3-1/source/univention-updater_13.0.1-49A~4.3.0.201806111521.dsc
+++ apt/ucs_4.3-0-errata4.3-1/source/univention-updater_13.0.1-53A~4.3.0.201807031200.dsc
@@ -1,6 +1,23 @@
-13.0.1-49A~4.3.0.201806111521 [Mon, 11 Jun 2018 15:21:32 +0200] Univention builddaemon <buildd@univention.de>:
+13.0.1-53A~4.3.0.201807031200 [Tue, 03 Jul 2018 12:00:21 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. No patches were applied to the original source package
+
+13.0.1-53 [Tue, 03 Jul 2018 11:57:27 +0200] Philipp Hahn <hahn@univention.de>:
+
+  * Bug #36719: Remove deprecated code
+
+13.0.1-52 [Tue, 03 Jul 2018 11:22:20 +0200] Philipp Hahn <hahn@univention.de>:
+
+  * Bug #36719: Remove deprecated code
+
+13.0.1-51 [Thu, 28 Jun 2018 13:21:20 +0200] Philipp Hahn <hahn@univention.de>:
+
+  * Bug #36719: Remove deprecated code
+
+13.0.1-50 [Mon, 18 Jun 2018 14:27:58 +0200] Dirk Wiesenthal <wiesenthal@univention.de>:
+
+  * Bug #41536: Better error message if network connection to update server
+    failed.
 
 13.0.1-49 [Mon, 11 Jun 2018 15:18:43 +0200] Erik Damrose <damrose@univention.de>:
 

<http://10.200.17.11/4.3-1/#3822295102386085637>
Comment 13 Arvid Requate univentionstaff 2018-08-22 14:26:09 CEST
<http://errata.software-univention.de/ucs/4.3/210.html>